@import "../../../theme/common";

.wrap {
  display: flex;
  flex-direction: row;
}

.wrap :global .ant-menu-item {
  padding-left: 16px !important;
}

.content {
  display: flex;
  flex-direction: row;
  align-items: stretch;
}

.menu {
  width: 120px;
  padding-top: 20px;
}

.menuItem {
  color: $primary-color;
}

.main {
  flex-grow: 1;
  min-width: 180px;
  min-height: 256px;
  margin-left: -1px;
  border-left: 1px solid #eee;
  box-sizing: border-box;
  padding: 20px;
}

.wrap :global .ant-menu-item {
  margin-top: 0;
}

// fix antd menu issue
.wrap :global .ant-menu-vertical .ant-menu-item-selected::after {
  transform: scaleY(1);
  opacity: 1;
}

.inputWrap {
  font-size: 12px;
}

.inputWrap :global .ant-calendar-range-picker-input {
  text-align: left;
}

.inputWrap :global .ant-calendar-range-picker-separator {
  margin-right: 4px;
}

.inputItem {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 24px;
}

.inputItemLabel {
  font-size: 14px;
  color: $label-color;
  flex-grow: 1;
}

.inputItemContent {
  width: 240px;
}

.dragContent {
  min-width: 340px;
  height: 180px;
  background: rgba(0, 0, 0, 0.02);
  border-radius: 2px;
  color: $primary-color;
  border: 1px dashed #999;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  cursor: pointer;
}

.dragContent p {
  font-size: 16px;
  color: #000;
  margin-top: 20px;
}

.dragContentWrapNone {
  height: 0;
  opacity: 0;
  overflow: hidden;
}

.dragContentWrap {
  display: flex;
  flex-direction: column;
}

.fileWrap {
  color: rgba(0, 0, 0, 0.45);
}

.fileWrapUploading {
  color: $primary-color;
}

.fileInfo {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 12px;
  color: $primary-color;
}

.fileIconWrap {
  display: inline-block;
  width: 16px;
  font-size: 12px;
  height: 16px;
  line-height: 16px;
  text-align: center;
  color: #666;
  margin-right: 5px;
}

.fileProgress {
  background: #ddd;
  border-radius: 1px;
  height: 2px;
  margin-left: 21px;
  box-sizing: border-box;
  width: 0;
  overflow: hidden;
}

.fileProgressInner {
  transform: scaleX(0);
  transform-origin: left;
  height: 2px;
  background: $primary-color;
}

.fileProgressInnerLoading {
  transition: all 1000ms linear;
  transform: scaleX(1);
}

.fileWrapUploading .fileInfo {
  color: #666;
}

.fileWrapUploading .fileProgress {
  width: auto;
}
